summaryrefslogtreecommitdiff
path: root/abe-bisect.sh
diff options
context:
space:
mode:
authorChristophe Lyon <christophe.lyon@linaro.org>2019-04-04 08:25:16 +0000
committerChristophe Lyon <christophe.lyon@linaro.org>2019-04-04 08:26:35 +0000
commit8536e2422bad2aacc0bf3603a7df692423cbc81e (patch)
treece56248d37138788c2a0d88e6a3845acb9d14170 /abe-bisect.sh
parent6dfaa636400a6ad0aa42d05bea2c4b422256346c (diff)
abe-bisect.sh: Save interesting output in mail-body.txt
This will help report status in the notification email. Change-Id: I36224e4ce2c3c537a40753fa5bc35ff81c6c62a9
Diffstat (limited to 'abe-bisect.sh')
-rwxr-xr-xabe-bisect.sh16
1 files changed, 10 insertions, 6 deletions
diff --git a/abe-bisect.sh b/abe-bisect.sh
index 7c751726..73bbe81b 100755
--- a/abe-bisect.sh
+++ b/abe-bisect.sh
@@ -65,8 +65,11 @@ BADSHA1=`git log --format=format:"%H" --grep=trunk@${BAD} master`
echo GOOD: $GOODSHA1
echo BAD: $BADSHA1
-[ x"$GOODSHA1" = x ] && echo "ERROR: Could not find good commit ($GOOD)" && exit 1
-[ x"$BADSHA1" = x ] && echo "ERROR: Could not find bad commit ($BAD)" && exit 1
+MAILBODY=${rundir}/mail-body.txt
+rm -f $MAILBODY
+
+[ x"$GOODSHA1" = x ] && (echo "ERROR: Could not find good commit ($GOOD)" | tee $MAILBODY) && exit 1
+[ x"$BADSHA1" = x ] && (echo "ERROR: Could not find bad commit ($BAD)" | tee $MAILBODY) && exit 1
# Build list of gcc configure options depending on cpu/fpu/mode
GCC_OVERRIDE_CONFIGURE=
@@ -90,7 +93,7 @@ ${ABE}/abe.sh --target ${TARGET} \
--check gcc \
--excludecheck gdb >& gcc-${GOODSHA1}.log
if [ $? -ne 0 ]; then
- echo "ERROR: failure while building/testing GOOD ($GOOD}"
+ echo "ERROR: failure while building/testing GOOD ($GOOD}" | tee $MAILBODY
exit 1
fi
@@ -106,7 +109,7 @@ ${ABE}/abe.sh --target ${TARGET} \
--check gcc \
--excludecheck gdb >& gcc-${BADSHA1}.log
if [ $? -ne 0 ]; then
- echo "ERROR: failure while building/testing BAD ($BAD}"
+ echo "ERROR: failure while building/testing BAD ($BAD}" | tee $MAILBODY
exit 1
fi
@@ -116,7 +119,7 @@ bad_nb_pass=$(grep ${TESTNAME} $sums | grep -c PASS)
# make sure BAD has more failures than GOOD
if [ $bad_nb_fail -le $good_nb_fail ]; then
- echo "ERROR: BAD ($BAD) does not have more failures ($bad_nb_fail) than GOOD ($GOOD) ($good_nb_fail)"
+ echo "ERROR: BAD ($BAD) does not have more failures ($bad_nb_fail) than GOOD ($GOOD) ($good_nb_fail)" | tee $MAILBODY
exit 1
fi
@@ -125,4 +128,5 @@ popd
git bisect good ${GOODSHA1}
git bisect bad ${BADSHA1}
-RUNDIR=${rundir} ABE=${ABE} EXP=${EXP} TESTNAME=${TESTNAME} TARGET=${TARGET} CPU=${CPU} FPU=${FPU} MODE=${MODE} SIMU=${SIMU} TARGETBOARD=${TARGETBOARD} GOODPASS=${good_nb_pass} GOODFAIL=${good_nb_fail} BADPASS=${bad_nb_pass} BADFAIL=${bad_nb_fail} git bisect run ${mydir}/abe-bisect-helper.sh
+RUNDIR=${rundir} ABE=${ABE} EXP=${EXP} TESTNAME=${TESTNAME} TARGET=${TARGET} CPU=${CPU} FPU=${FPU} MODE=${MODE} SIMU=${SIMU} TARGETBOARD=${TARGETBOARD} GOODPASS=${good_nb_pass} GOODFAIL=${good_nb_fail} BADPASS=${bad_nb_pass} BADFAIL=${bad_nb_fail} git bisect run ${mydir}/abe-bisect-helper.sh | tee bisect.log
+git bisect visualize | tee $MAILBODY